//---------------------------------------------------------------------
#include "MainWindow.h"
//---------------------------------------------------------------------
BAppMainWindow::BAppMainWindow(BRect frame,const char *title)
	:BWindow(frame,title,MAINWINDOW_WINDOWSTYLE,0)
{
	mainview=new BAppMainView(Bounds());	
	AddChild(mainview);
}
//---------------------------------------------------------------------
void BAppMainWindow::SetStrView(void)
{
	char wk[256];
	int idx=0;
			
	sprintf(wk,"List A=%d,List B=",
			    (int)mainview->lstview1->CurrentSelection(0));
			
	for(int i=0;idx!=-1;i++)
	{
		char wk1[10];

		idx=(int)mainview->lstview2->CurrentSelection(i);
		sprintf(wk1,"%d,",idx);
		strcat(wk,wk1);				
	};
			
	mainview->strview->SetText(wk);
}
//---------------------------------------------------------------------
void BAppMainWindow::MessageReceived(BMessage *msg)
{
	switch(msg->what)
	{
		case MSG_SET:
			SetStrView();
			break;
		default:
			BWindow::MessageReceived(msg);
	}
}
//---------------------------------------------------------------------
BAppMainView::BAppMainView(BRect frame)
	:BView(frame,"bappmainview",B_FOLLOW_ALL,B_WILL_DRAW)
{
	BRect viewrect(Bounds());
	char listitems[][10]=
		{"ITEM_1","ITEM_2","ITEM_3","ITEM_4","ITEM_5",
		 "ITEM_6","ITEM_7","ITEM_8","ITEM_9","ITEM_10"};
		 	
	BMessage *setmsg=new BMessage(MSG_SET);
	BButton *btn=
		new BButton(BRect(viewrect.right-68,188,viewrect.right-8,200),
		            "btn1","SET!!",setmsg);
	AddChild(btn);
	
	strview=new BStringView(BRect(8,188,viewrect.right-70,200),
	                        "strview","No Data");
	AddChild(strview);

	lstview1=new BListView(BRect(8,8,
	                             viewrect.right-8-B_V_SCROLL_BAR_WIDTH,
	                             90),"list1");
	BScrollView *scr=new BScrollView("scroll1",lstview1,
	                                 B_FOLLOW_LEFT | B_FOLLOW_TOP,
	                                 0,false,true);
	AddChild(scr);
	for(int i=0;i<10;i++)
		lstview1->AddItem(new BStringItem(listitems[i]));

	
	lstview2=new BListView(BRect(8,98,viewrect.right-8-B_V_SCROLL_BAR_WIDTH,
								 180),"list2",B_MULTIPLE_SELECTION_LIST);
	scr=new BScrollView("scroll2",lstview2,
	                                 B_FOLLOW_LEFT | B_FOLLOW_TOP,
	                                 0,false,true);
	AddChild(scr);
	for(int i=0;i<10;i++)
		lstview2->AddItem(new BStringItem(listitems[i]));

}
//---------------------------------------------------------------------
